Subject: Re: [PATCH 00/11] various lockfile-leaks and -fixes

From: Junio C Hamano <[email-masked]>
Date: Mon, 02 Oct 2017 15:30:19 +0900

Jeff King <[email-masked]> writes:

> I've read through each and with the exception of patches 10 and 11, they
> all look good to me.
>
> For 10 and 11, I think you've convinced me that the current behavior is
> buggy. I do wonder if the subtleties might be easier to understand as a
> single patch, but I'm OK either way.

I found it was not too hard to understand what is going on with
10/11 as separate patches, and I suspect that it would be also OK if
they were a single patch (but I cannot easily "unsee" them, so this
is merely a suspicion).

Thanks, both.  Let's merge this to 'next' soonish.